<?php

namespace App\Enums;

enum HarimStates: int
{
    case BARESI_EDARE_SHAHRESTAN = 1;
    case BARESI_TAVASOT_DAFTAR_HARIM = 2;
    case BARESI_TAVASOT_MOAVEN = 3;
    case BARESI_TAVASOT_MODIR_KOL = 4;
    case BARESI_FILE_APLODE_SHODE_TAVASOTE_DAFTAR_HARIM = 5;
    case BARESI_FILE_APLODE_SHODE_TAVASOTE_MOAVEN = 6;
    case BARESI_FILE_APLODE_SHODE_TAVASOTE_MODIR_KOL = 7;
    case ERSAL_ZEMANAT_NAME_TAVASOTE_KARBAR =8;
    case ERSAL_BE_PANJAREH_VAHED_NIAZ_BE_RAH_DASTRASI = 9;
    case EMKAN_PAZIR_NEMEBASHAD = 10;
    case ERSAL_BE_PANJAREH_VAHED_BEDONEH_NIAZ_BE_RAH_DASTRASI = 11;
    case UPDATE_FILE_BARGOZARE_SHODE = 12;
    case TAEDE_ARSE_VA_AYAN_ERSAL_SHODE_TAVASOT_DAFTAR_KARBAR = 13;
    case TAEDE_ARSE_VA_AYAN_ERSAL_SHODE_TAVASOT_TAVASOTE_MOAVEN = 14;
    case TAEDE_ARSE_VA_AYAN_ERSAL_SHODE_TAVASOT_MODIR_KOL = 15;

    public static function name(int $state): string
    {
        $mapArray = [
            1 => "بررسی ادارات شهرستان",
            2 => "بررسی توسط ادارات حریم",
            3 => "بررسی توسط معاون ",
            4 => "بررسی توسط مدیر کل",
            5 => "بررسی فایل آپلود شده توسط اداره حریم",
            6 => "بررسی فایل آپلود شده توسط معاون",
            7 => "بررسی فایل آپلود شده توسط مدیر",
            8 => "ارسال ضمانت نامه توسط کاربر",
            9 => "ارسال به پنجره واحد ( نیاز به راه دسترسی)",
            10 => "امکان پذیر نمی باشد",
            11 => "ارسال به پنجره واحد (بدون نیاز به راه دسترسی)",
            12 => "بازبینی فایل بارگذاری شده",
            13 => "تائید عرصه و اعیان ارسال شده توسط اداره حریم",
            14 => "تائید عرصه و اعیان ارسال شده توسط  معاون",
            15 => "تائید عرصه و اعیان ارسال شده توسط  مدیر",

        ];

        return $mapArray[$state];
    }
}